Package: org.gradle.nativeplatform.tasks

## [Java] Interface ObjectFilesToBinary

- org.gradle.api.Task

- All Superinterfaces:
    ExtensionAware, Task

  A task that combines a set of object files into a single binary.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Task` | `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `source(Object source)` Adds a set of object files to be combined into the file binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Task` | `configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getFinalizedBy, getGroup, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`
    `interface Comparable` | `compareTo`
    `interface ExtensionAware` | `getExtensions`

- - ### Method Detail

    - #### public void source(Object source)

      Adds a set of object files to be combined into the file binary. The provided source object is evaluated as per Project.files.